regression: editing Z value via note editor panel for memory  point layer fails

2017-11-08 09:15 PM - Mathieu Pellerin - nIRV

Status: Closed

Priority: High

Assignee:

Category: Editing

Affected QGIS version:master Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 25324

Description

Editing of Z value via the node editor is broken for memory point layers created via the "new temporary scratch layer".

Steps to reproduce

    1. Create a new project

    2. Create a new new memory layer, set it to point (or multipoint) and check the [x] geometries with Z/M values option

    3. Add a new point feature to that created layer, and save the layer (to insure the feature is visible, see issue 17426)

    4. Switch to the node tool, and right click on the point to open the node editor

    5. Notice the Z value is "nan" 

    6. Try to change the Z value to a number

    7. Notice the value reverts to "nan"

Related issues:

Related to QGIS Application - Bug report # 17470: Editing Z / M  value in scr... Closed 2017-11-15

Associated revisions

Revision 0ccf6fa1 - 2017-11-09 06:36 AM - Mathieu Pellerin - nIRV

Fix Z and M support for add point feature (fixes #17427)

History

#1 - 2017-11-09 06:36 AM - Mathieu Pellerin - nIRV

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|0ccf6fa1710108640f84192045026fd09d28af8b.

#2 - 2017-11-17 01:06 AM - Jürgen Fischer

- Related to Bug report #17470: Editing Z / M  value in scratch layer using node tool triggers a crash when saving   added
